summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorLaura Abbott <labbott@redhat.com>2019-09-23 08:19:02 -0400
committerLaura Abbott <labbott@redhat.com>2019-09-23 08:21:52 -0400
commit2e8af7cdf9710ddf8aa40fd5236d7583d3dc57c5 (patch)
tree20739edc2a70dc2906859b92272153467b24f3fa /scripts
parent8e2f53d7253529fdd3df431fb3dd36e1731ed299 (diff)
downloadkernel-2e8af7cdf9710ddf8aa40fd5236d7583d3dc57c5.tar.gz
kernel-2e8af7cdf9710ddf8aa40fd5236d7583d3dc57c5.tar.xz
kernel-2e8af7cdf9710ddf8aa40fd5236d7583d3dc57c5.zip
Update to work with 5.x
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/stable-update.sh30
1 files changed, 16 insertions, 14 deletions
diff --git a/scripts/stable-update.sh b/scripts/stable-update.sh
index 2ea5fb78b..259a338c1 100755
--- a/scripts/stable-update.sh
+++ b/scripts/stable-update.sh
@@ -35,27 +35,29 @@ if [ -z $VERSION ]; then
fi
if [ ! -f patch-$1.xz ]; then
- wget https://cdn.kernel.org/pub/linux/kernel/v4.x/patch-$1.xz
+ wget https://cdn.kernel.org/pub/linux/kernel/v5.x/patch-$1.xz
if [ ! $? -eq 0 ]; then
echo "Download fail"
exit 1
fi
fi
-if [ ! -f "patch-$1.sign" ]; then
- wget "https://cdn.kernel.org/pub/linux/kernel/v4.x/patch-$1.sign"
- if [ ! $? -eq 0 ]; then
- echo "Signature download failed"
- exit 1
- fi
-fi
+# This all needs to be updated for the new generation system
+#
+# if [ ! -f "patch-$1.sign" ]; then
+# wget "https://cdn.kernel.org/pub/linux/kernel/v4.x/patch-$1.sign"
+# if [ ! $? -eq 0 ]; then
+# echo "Signature download failed"
+# exit 1
+# fi
+# fi
-xzcat "patch-$1.xz" | gpg2 --verify "patch-$1.sign" -
-if [ ! $? -eq 0 ]; then
- echo "Patch file has invalid or untrusted signature!"
- echo "See https://www.kernel.org/category/signatures.html"
- exit 1
-fi
+# xzcat "patch-$1.xz" | gpg2 --verify "patch-$1.sign" -
+# if [ ! $? -eq 0 ]; then
+# echo "Patch file has invalid or untrusted signature!"
+# echo "See https://www.kernel.org/category/signatures.html"
+# exit 1
+# fi
grep $1 sources &> /dev/null
if [ ! $? -eq 0 ]; then